Şube
Oluştur
- Şube oluşturmak için kullanılır.
- Lokasyon bilgisi enlem ve boylam bilgisi arasına virgül konarak gönderilmelidir ('enlem,boylam').
- Code alanı unique bir değer olarak gönderilmelidir.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
phone*string
active*boolean
location*string
open_address*string
code*string
allow_point_usage*boolean
description?string
name*string
{
"phone": "+905231113344",
"active": true,
"location": "41.08447542240944, 28.985638326773866",
"open_address": "Test open address",
"code": "Test-123",
"allow_point_usage": true,
"description": "Test description",
"name": "Test Branch"
}Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.altpay.dev/integration/branch/create" \ -H "Content-Type: application/json" \ -d '{ "phone": "+905231113344", "active": true, "location": "41.08447542240944, 28.985638326773866", "open_address": "Test open address", "code": "Test-123", "allow_point_usage": true, "name": "Test Branch" }'{
"data": {
"success": true
}
}{
"message": "Unauthenticated"
}{
"message": "İşlemi yapmak için yetkili değilsiniz."
}{
"message": "Gönderdiğiniz Veriler Geçersiz",
"errors": {
"property": [
"Hata açıklaması"
]
}
}